%define name 		libforensic1394
%define version		0.2
%define major		1
%define libname		%mklibname forensic1394_ %{major}
%define develname	%mklibname forensic1394 -d 

Name: 		%{name}
Version: 	%{version}
Release:    %mkrel 3
Summary: 	Library for memory forensics over the IEEE 1394 interface
License:	LGPL
Group:		Development/C
URL:		http://freddie.witherden.org/tools/libforensic1394/
Source:     http://freddie.witherden.org/tools/libforensic1394/releases/libforensic1394-%{version}.tar.gz
Patch0:     libforensic1394-0.2-no-hardcoded-installation-path.patch
BuildRequires:  cmake
BuildRequires:  doxygen

%description
An open source (GNU LGPLv3+) library for performing live memory forensics over
the IEEE 1394 (“FireWire”) interface. Currently supported under GNU/Linux and
Mac OS X, libforensic1394 improves upon existing libraries by providing a
simple and clean interface to the the direct memory access functionality
available over FireWire. In addition to a C API Python bindings are also
available.

%package -n	%{libname}
Summary:	Libraries for %{name}
Group:		Development/C

%description -n	%{libname}
Libraries for %{name}.

%package -n	%{develname}
Summary:	Header files and development libraries for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release} 
Provides:	forensic1394 = %{version}-%{release}
BuildRequires:  python

%description -n	%{develname}
Header files and development libraries for %{name}.

%package -n python-forensic1394
Summary:	Python bindings for %{name}
Group:		Development/Python
Requires:	%{libname} = %{version}-%{release} 
BuildRequires:  python

%description -n python-forensic1394
Python bindings for %{name}.

%package -n python3-forensic1394
Summary:	Python 3 bindings for %{name}
Group:		Development/Python
Requires:	%{libname} = %{version}-%{release} 
BuildRequires:  python3

%description -n python3-forensic1394
Python 3 bindings for %{name}.

%prep
%setup -q
%patch0 -p1

cp -pr python python3

%build
%cmake -G"Unix Makefiles" -DFORENSIC1394_BUILD_STATIC:BOOL=OFF
%make
cd ..

pushd python
python setup.py build
popd

pushd python3
python3 setup.py build
popd

pushd docs
doxygen
popd

%install
rm -rf %{buildroot}
pushd build
%makeinstall_std
popd

pushd python
python setup.py install --root %{buildroot}
popd

pushd python3
python3 setup.py install --root %{buildroot}
popd

install -d -m 755 %{buildroot}%{_docdir}/%{name}
install -m 644 AUTHORS COPYING COPYING.LESSER README \
    %{buildroot}%{_docdir}/%{name}
cp -pr docs/docs/html %{buildroot}%{_docdir}/%{name}

%files -n python-forensic1394
%{python_sitelib}/forensic1394
%{python_sitelib}/Forensic1394-0.1-py%{pyver}.egg-info

%files -n python3-forensic1394
%{python3_sitelib}/forensic1394
%{python3_sitelib}/Forensic1394-0.1-py%{py3ver}.egg-info

%files -n %{libname}
%doc README
%{_libdir}/libforensic1394.so.%{version}.0
%{_libdir}/libforensic1394.so.%{major}

%files -n %{develname}
%{_docdir}/%{name}
%{_includedir}/forensic1394.h
%{_libdir}/libforensic1394.so



%changelog

* Tue Feb 28 2012 guillomovitch <guillomovitch> 0.2-3.mga2
+ Revision: 215824
- fix library package name
- fix python bindings dependencies
- don't ship README file in unversionned path in library package

* Tue Feb 21 2012 guillomovitch <guillomovitch> 0.2-2.mga2
+ Revision: 211467
- provide bindings for python3 too

* Wed Feb 15 2012 guillomovitch <guillomovitch> 0.2-1.mga2
+ Revision: 209328
- imported package libforensic1394


* Wed Feb 15 2012 Guillaume Rousse <guillomovitch@mandriva.org> 0.2-1.mga2
- first mageia release
